<?php
/**
 @licence GPL 2005-2009  The osCSS developers - osCSS Open Source E-commerce
  @package oscss-2 <www http://www.oscss.org>
  @version Rc-3
  @date  14/03/10, 21:15
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
   @encode UTF-8

  Prepa et passage en object du module, affichage au seins boxe des modules
*/
function in_obj_listing_pages(){
  global $page;
  $mod=$page->oscss_modules->_return('listing_pages');
  $listing_split=$mod['listing_split'];
  $listing_query=$mod['listing_query'];
  $languages_id=$page->the_var('languages_id');
  $currencies=$page->return_object('currencies');
  $p=array();
  /** init aca module */
  $aca_listing=$page->new_class('listing');
  if(is_string($listing_query))$listing_query=tep_db_query($listing_query);

  while ($listing = tep_db_fetch_array($listing_query)){
    $p[]=new objectInfo(array_merge($listing,array('aca'=>$aca_listing->return_db_min($listing['content_id'])) ) );
  }


  return new objectInfo(array('title'=>'', 'content'=>$p, 'split'=> $listing_split ));

}

?>